GNU bug report logs - #47852
[PATCH] gnu: Add sc-im

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "jgart" <jgart@HIDDEN>; Keywords: patch; dated Sat, 17 Apr 2021 21:53:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 19 Apr 2021 16:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 12:46:25 2021
Received: from localhost ([127.0.0.1]:51891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYX2X-0003Cm-Im
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 12:46:25 -0400
Received: from mx1.dismail.de ([78.46.223.134]:4059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lYX2S-0003CN-Bi
 for 47852 <at> debbugs.gnu.org; Mon, 19 Apr 2021 12:46:24 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id f2eff2f9;
 Mon, 19 Apr 2021 18:46:13 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:content-transfer-encoding:from
 :message-id:subject:to:cc:in-reply-to:references; s=20190914;
 bh=JZqqr40TK9vUCdgVVEMgr9aB7eJfPNu5NWM9o7wx3lw=; b=OvZz9aa+WFbD
 VoQ/luZmWOmkBaD9VQmbeYvhIdM+nw+/Cckls5OdOl9fy/srdSy/dfjM0aMcTL3g
 HcyvA9BU1d2oqaQkCS8nqF9SIQ8EhepoJIAcxIxEPZXD2XvAnH5tNaR7polqKcwR
 sULQEPcc2bq/A9XqZV68tf9hRGmM1NkyX7baqK3/BkyM+SLyHW0GO2hUqgxnKpCl
 2zkFVZFbdRndmANLiUs9t4bh/GgVzqv5seZce/N7hBAGS5zt9sKS6N2RqAGX576L
 U+QIbrruGHnmM4M8kgf5H0d9wW8AkD4WsAuZoUN6IL0drIce7ATkWVukIY2vEiJO
 22BPcBhaBA==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 4a0281f7;
 Mon, 19 Apr 2021 18:46:12 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id ec2eb0f4;
 Mon, 19 Apr 2021 18:46:12 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 2029e2ae
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 19 Apr 2021 18:46:11 +0200 (CEST)
MIME-Version: 1.0
Date: Mon, 19 Apr 2021 16:46:10 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <5c38f2307986364b38c2eab481e4088b@HIDDEN>
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
To: "Xinglu Chen" <public@HIDDEN>, 47852 <at> debbugs.gnu.org
In-Reply-To: <871rb69tmp.fsf@HIDDEN>
References: <871rb69tmp.fsf@HIDDEN> <87lf9feeb8.fsf@HIDDEN>
 <87r1j8djw7.fsf@HIDDEN>
 <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
 <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
 <78610039d802cd5f6d61a9f7e36a0df2@HIDDEN>
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 47852
Cc: Oliver Loaiza <olv345@HIDDEN>, raghavgururajan@HIDDEN,
 rprior@HIDDEN, hello@HIDDEN,
 Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Yes, I think it would be better if we did this in a new issue. =0A=0ARyan=
 Prior suggested tui-apps as a new module name.=0A=0AI like that!=0A=0Asc=
-im, visidata, newsboat, and calcurse fit that bill. There's probably oth=
ers that can go in there.=0A=0AApril 19, 2021 11:33 AM, "Xinglu Chen" <pu=
blic@HIDDEN> wrote:=0A=0A> On Sun, Apr 18 2021, jgart wrote:=0A> =
=0A>>> In the same way that asciinema is a screen recorder for the termin=
al ;)=0A>> =0A>> Yes, it's currently not consistent what's included in th=
e terminals module.=0A>> =0A>> Asciinema should probably go somewhere els=
e.=0A>> =0A>> Maybe we need a terminal-apps module like haskell-apps and =
rust-apps.=0A>> =0A>> We can put all of these terminal programs in this n=
ew module. I think=0A>> that would make things clearer.=0A>> =0A>> What d=
o you think?=0A> =0A> Hmm, I dunno, that would require moving a lot of pa=
ckages. Probably=0A> better to start a new thread regarding how to catego=
rize packages.




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 19 Apr 2021 15:33:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 11:33:48 2021
Received: from localhost ([127.0.0.1]:51753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYVuG-0001KO-5e
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 11:33:48 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:57794
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lYVuA-0001K6-H7
 for 47852 <at> debbugs.gnu.org; Mon, 19 Apr 2021 11:33:46 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1618846413;
 bh=SHk1oE7djk+4U2OVxqin0wn9wg9EWdAPoBZeMAc7ptI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=MiRIm9XdN50Vn9x0H5GS229CkacKCDJHXfMUYIXRuNnwTqcMFuv+OYSURwtHnRJ8M
 uM9wy06V33rjO1UDAGvSqbQX1W0jZ2sFSsyhFyrFwal6dnsfSm4TgfPVX+VChzBEuK
 Fp1MRpHYM/e9UID8miYOlTj1muOhV+8nI5JsO/9g=
To: jgart <jgart@HIDDEN>, 47852 <at> debbugs.gnu.org
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
In-Reply-To: <78610039d802cd5f6d61a9f7e36a0df2@HIDDEN>
References: <87lf9feeb8.fsf@HIDDEN> <87r1j8djw7.fsf@HIDDEN>
 <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
 <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
 <78610039d802cd5f6d61a9f7e36a0df2@HIDDEN>
Date: Mon, 19 Apr 2021 17:33:18 +0200
Message-ID: <871rb69tmp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Apr 18 2021, jgart wrote: >> In the same way that
 asciinema is a screen recorder for the terminal ; ) >> > > Yes, it's currently
 not consistent what's included in the terminals module. > > Asciinema should
 probably go somewhere [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 raghavgururajan@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Apr 18 2021, jgart wrote: >> In the same way that
   asciinema is a screen recorder for the terminal ;) >> > > Yes, it's currently
    not consistent what's included in the terminals module. > > Asciinema should
    probably go somewhere [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Sun, Apr 18 2021, jgart wrote:

>> In the same way that asciinema is a screen recorder for the terminal ;)
>> 
>
> Yes, it's currently not consistent what's included in the terminals module.
>
> Asciinema should probably go somewhere else.
>
> Maybe we need a terminal-apps module like haskell-apps and rust-apps.
>
> We can put all of these terminal programs in this new module. I think
> that would make things clearer.
>
> What do you think?

Hmm, I dunno, that would require moving a lot of packages.  Probably
better to start a new thread regarding how to categorize packages.





Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 18 Apr 2021 16:57:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 12:57:44 2021
Received: from localhost ([127.0.0.1]:47618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYAjw-0001i4-Bt
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:57:44 -0400
Received: from mx1.dismail.de ([78.46.223.134]:13736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lYAjt-0001hp-Qm
 for 47852 <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:57:43 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 26c866f1;
 Sun, 18 Apr 2021 18:57:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:content-transfer-encoding:from
 :message-id:subject:to:cc:in-reply-to:references; s=20190914;
 bh=H3JlNMD+nLWxN8/kGAddNB07Oot5FYJA5NyG0A696+U=; b=CPrlYTlvNSRT
 kK7VRuhUQoLyP2SC2AS9jy7HBJUurAYL6Mg1cLHxoIKLAF2/5fowhqnpJ2VkrPCH
 rNzrJ3MYFZ6r9HXkesAyBubrQk4rk7ljuD/+8sTjpzQHNCw85I7VOoJgJr15Kl2+
 tLP4R1ug+cMyxhHaiZaDOrMh0hVWZkFA2ijCaZjvcPwPaQssjMeDe3TN39lSY5SI
 /e0e4DMlhz5dxQizUfaS6x9YnVXejTtTtqYVPSz506cx/FcSyIU1lNlVbHJpb9Un
 NfL6PhvBTnrJ+2cecOe8KPIIxRggCWghVdOKqKtf7m91LvA72ZyENKWI5/RiJd/E
 2RwsXyjTQg==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id e7ea8ea0;
 Sun, 18 Apr 2021 18:57:33 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 9881bab4;
 Sun, 18 Apr 2021 18:57:33 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 244b5a20
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 18 Apr 2021 18:57:32 +0200 (CEST)
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 16:57:31 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <78610039d802cd5f6d61a9f7e36a0df2@HIDDEN>
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
To: "Xinglu Chen" <public@HIDDEN>, 47852 <at> debbugs.gnu.org
In-Reply-To: <87lf9feeb8.fsf@HIDDEN>
References: <87lf9feeb8.fsf@HIDDEN> <87r1j8djw7.fsf@HIDDEN>
 <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
 <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 raghavgururajan@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> In the same way that asciinema is a screen recorder for the terminal ;)=
=0A> =0A=0AYes, it's currently not consistent what's included in the term=
inals module.=0A=0AAsciinema should probably go somewhere else.=0A=0AMayb=
e we need a terminal-apps module like haskell-apps and rust-apps. =0A=0AW=
e can put all of these terminal programs in this new module. I think that=
 would make things clearer.=0A=0AWhat do you think?=0A=0A>> Maybe we can =
do a clean up soon and put all these programs in a new=0A>> module?=0A> T=
hat would probably be a good idea. The way packages are categorized is=0A=
> still a little confusing to me. :)=0A=0ALet's plan on that. I'd be happ=
y help with clean up.=0A=0ABTW, I'm hosting a guix packaging meetup in 6 =
days. =0A=0AIf you'd like to work on any of this together in a group or a=
 new package/upgrade stop by:=0A=0Ahttps://events.nixnet.services/events/=
27955ca1-0aee-4ec5-be20-48e6c45fd0f6=0A=0Aall the best,=0A=0Ajgart=0A=0A=
=0AApril 18, 2021 12:41 PM, "Xinglu Chen" <public@HIDDEN> wrote:=
=0A=0A> Hi,=0A> =0A> On Sun, Apr 18 2021, jgart wrote:=0A> =0A>> I apprec=
iate your review. I attached an updated patch with your=0A>> suggestions.=
 Thank you for pointing those out.=0A> =0A> You are welcome!=0A> =0A>> I =
moved home-page closer to the top so that I can reuse it in the url=0A>> =
field.=0A> =0A> Good idea.=0A> =0A>>> I suggest adding it to (gnu package=
s terminals) instead of creating a=0A>>> new file. You will find asciinem=
a and fzf there.=0A>> =0A>> I'm not sure if it makes sense to me for sc-i=
m to go into terminals.=0A>> =0A>> It seems like terminals has mostly ter=
minal emulators.=0A>> =0A>> Like I pointed out in my previous email, why =
wouldn't calcurse and=0A>> visidata also go into the terminals module?=0A=
> =0A> I don=E2=80=99t know why those two programs are in their own files=
, but after=0A> taking a closer look, I found that some programs are put =
in different=0A> modules based on the program=E2=80=99s purpose. For exam=
ple, bashtop, htop, and=0A> nnn all go in (gnu packages admin), and neomu=
tt/mutt are put in (gnu=0A> packages mail). By that logic maybe it would =
make sense to put sc-im in=0A> (gnu packages maths) or (gnu packages stat=
istics)?=0A> =0A>> sc-im is a spreadsheet program for the terminal in the=
 same way that=0A>> calcurse is a calendar program for the terminal.=0A> =
=0A> In the same way that asciinema is a screen recorder for the terminal=
 ;)=0A> =0A>> Maybe we can do a clean up soon and put all these programs =
in a new=0A>> module?=0A> =0A> That would probably be a good idea. The wa=
y packages are categorized is=0A> still a little confusing to me. :)




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 18 Apr 2021 16:41:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 12:41:07 2021
Received: from localhost ([127.0.0.1]:47580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYATr-0007aX-F9
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:41:07 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:57722
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lYATp-0007Zt-Q2
 for 47852 <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:41:06 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1618764057;
 bh=j6fUJ7R6nfL4Vqos/e7L1OZSz/Rca7Teo8qdHKljUTA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=AqD2uLwVat8RPTpbqbj5iXzD5CklzxKYFoZMP/R4/O9CcaSW9W0RxTfZQmS/q9c1M
 zrdQyZcbyqxG4rmqVT1Rl/1PX96fJuYRYXZ2c12M2Gu0HqYosdkwXZGe/hiRPEnla0
 kR9XB062os7NwshM6w4VqkvDtTR4LNtStOSepnG0=
To: jgart <jgart@HIDDEN>, 47852 <at> debbugs.gnu.org
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
In-Reply-To: <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
References: <87r1j8djw7.fsf@HIDDEN>
 <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
 <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
Date: Sun, 18 Apr 2021 18:40:43 +0200
Message-ID: <87lf9feeb8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Sun, Apr 18 2021, jgart wrote: > I appreciate your
 review. I attached an updated patch with your > suggestions. Thank you for
 pointing those out. 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 raghavgururajan@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, On Sun, Apr 18 2021, jgart wrote: > I appreciate your
   review. I attached an updated patch with your > suggestions. Thank you for
    pointing those out. 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD

Hi,

On Sun, Apr 18 2021, jgart wrote:

> I appreciate your review. I attached an updated patch with your
> suggestions. Thank you for pointing those out.

You are welcome!

> I moved home-page closer to the top so that I can reuse it in the url
> field.

Good idea.

>> I suggest adding it to (gnu packages terminals) instead of creating a
>> new file. You will find asciinema and fzf there.
>
> I'm not sure if it makes sense to me for sc-im to go into terminals.
>
> It seems like terminals has mostly terminal emulators.
>
> Like I pointed out in my previous email, why wouldn't calcurse and
> visidata also go into the terminals module?

I don=E2=80=99t know why those two programs are in their own files, but aft=
er
taking a closer look, I found that some programs are put in different
modules based on the program=E2=80=99s purpose.  For example, bashtop, htop=
, and
nnn all go in (gnu packages admin), and neomutt/mutt are put in (gnu
packages mail).  By that logic maybe it would make sense to put sc-im in
(gnu packages maths) or (gnu packages statistics)?

> sc-im is a spreadsheet program for the terminal in the same way that
> calcurse is a calendar program for the terminal.

In the same way that asciinema is a screen recorder for the terminal ;)

> Maybe we can do a clean up soon and put all these programs in a new
> module?

That would probably be a good idea.  The way packages are categorized is
still a little confusing to me. :)





Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 18 Apr 2021 15:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 11:39:17 2021
Received: from localhost ([127.0.0.1]:47490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lY9W1-0003sd-8V
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 11:39:17 -0400
Received: from mx1.dismail.de ([78.46.223.134]:16025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lY9Vy-0003sO-TJ
 for 47852 <at> debbugs.gnu.org; Sun, 18 Apr 2021 11:39:16 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id d7f5b0ae;
 Sun, 18 Apr 2021 17:39:07 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:from:message-id:subject:to:cc
 :in-reply-to:references; s=20190914; bh=Z1NMr71T8upK1e1tqJYBCM7Q
 lREOivazIDJNSNttdPk=; b=i7NXcubBnYamuRb5r1tG9A5EVG0uN2nNoOC/PG+F
 38k9xCA12islKr8XIJzkO6WU4x/s+/kOSax5F7QohvX8/pwX1w4/eLUt5Ps5nCmo
 55UUUL93CxfgT5OgyXGOuv6vqbbhxXEwf0oZsqSdLB1EoanL+Fk/anPQgMghW17v
 ByF295ISm2f6C2eU151de2E79b4Ncj0SHI4jA4F7CbgBvtwNmo+WGAzBVWvN48sw
 pxDuHruZvmLM14b2IdYb5jqngwsPXQ1915rx3/KeEgvevlfL0PKJOAdCvE/S3OxX
 oP19XyGokUf7pWCdZVDkbd4OqOOdc35eesqzfaNIeZ921A==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id a86a6554;
 Sun, 18 Apr 2021 17:39:06 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 10c871b6;
 Sun, 18 Apr 2021 17:39:06 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 85a56638
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 18 Apr 2021 17:39:05 +0200 (CEST)
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 15:39:05 +0000
Content-Type: multipart/mixed; boundary="--=_RainLoop_851_650943009.1618760345"
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <2743aa1f4e3f66ba04fb1bf34a566cad@HIDDEN>
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
To: "Xinglu Chen" <public@HIDDEN>, 47852 <at> debbugs.gnu.org
In-Reply-To: <87r1j8djw7.fsf@HIDDEN>
References: <87r1j8djw7.fsf@HIDDEN>
 <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 raghavgururajan@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)


----=_RainLoop_851_650943009.1618760345
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Hi Xinglu,=0A=0AI appreciate your review. I attached an updated patch wit=
h your suggestions. Thank you for pointing those out. =0A=0AI moved home-=
page closer to the top so that I can reuse it in the url field. =0A=0AI'v=
e seen a few examples in gnu/packages of this practice and I think it is =
quite nice.=0A=0A> I suggest adding it to (gnu packages terminals) instea=
d of creating a=0A> new file. You will find asciinema and fzf there.=0A=
=0AI'm not sure if it makes sense to me for sc-im to go into terminals. =
=0A=0AIt seems like terminals has mostly terminal emulators. =0A=0ALike I=
 pointed out in my previous email, why wouldn't calcurse and visidata als=
o go into the terminals module?=0A=0Asc-im is a spreadsheet program for t=
he terminal in the same way that calcurse is a calendar program for the t=
erminal.=0A=0AMaybe we can do a clean up soon and put all these programs =
in a new module? =0A=0ALet me know if there is anything else I should cha=
nge.=0A=0Aall the best,=0A=0Ajgart=0A=0A=0AApril 18, 2021 5:25 AM, "Xingl=
u Chen" <public@HIDDEN> wrote:=0A=0A> Thank you for working on thi=
s! I have some comments to add.=0A> =0A>> * gnu/packages/visidata.scm: Ne=
w file.=0A>> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.=0A> =0A> I sugg=
est adding it to (gnu packages terminals) instead of creating a=0A> new f=
ile. You will find asciinema and fzf there.=0A> =0A>> +(define-public sc-=
im=0A>> + (let ((commit-ref "75ae3806844821cba1b2e3fdb9237d737944e850"))=
=0A>> + (package=0A>> + (name "sc-im")=0A>> + (version "0.8.1")=0A>> + (s=
ource (origin=0A>> + (method git-fetch)=0A>> + (uri=0A>> + (git-reference=
=0A>> + (url "https://github.com/andmarti1424/sc-im")=0A>> + (commit comm=
it-ref)))=0A> =0A> Why not just use =E2=80=98version=E2=80=99, or (string=
-append ... version) if needed?=0A> =0A>> + (file-name (git-file-name nam=
e version))=0A> =0A> Indentation is a bit off here.=0A> =0A>> + (synopsis=
 "Spreadsheet program with vim-like keybindings")=0A>> + (description=0A>=
> + "@code{sc-im} is a highly configurable spreadsheet program=0A>> + pro=
viding a vim-like experience. @code{sc-im} supports @{gnuplot} interactio=
n,=0A>> + functions for sorting and filtering, 256 color support, and muc=
h more.")=0A>> + (home-page "https://github.com/andmarti1424/sc-im")=0A> =
=0A> Nit: =E2=80=98home-page=E2=80=99 usually goes above =E2=80=98synopsi=
s=E2=80=99.

----=_RainLoop_851_650943009.1618760345
Content-Type: application/octet-stream; name="0001-gnu-Add-sc-im.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-sc-im.patch"
Content-Transfer-Encoding: base64
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----=_RainLoop_851_650943009.1618760345--




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 18 Apr 2021 09:25:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 05:25:59 2021
Received: from localhost ([127.0.0.1]:45312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lY3gl-0002Kc-Gz
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 05:25:59 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:48722
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lY3gf-0002KI-Cl
 for 47852 <at> debbugs.gnu.org; Sun, 18 Apr 2021 05:25:57 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1618737945;
 bh=73fhwtI+76Bn4UptlNOyIEiaxtHxov/B8NdxiL6rxJc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=YCMuEc1GWQM6L1Ev/GIJIjINIVtqfi4ZCit5XHDKTcuJbuwzOHst2oHtAeZHDNH9C
 3BzYAe2ycCPZ32LPgSUUqxhZnxxi41fIVYOGcM6j6ohp3nMzbV1gsbFqJhuA7Vgdua
 aRIKNlbR6LjNcb9kJTrgAaaG7foQVEvjQ9J3aZuY=
To: jgart <jgart@HIDDEN>, 47852 <at> debbugs.gnu.org
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
In-Reply-To: <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
References: <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
 <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
Date: Sun, 18 Apr 2021 11:25:28 +0200
Message-ID: <87r1j8djw7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Thank you for working on this! I have some comments to add.
 > * gnu/packages/visidata.scm: New file. > * gnu/local.mk
 (GNU_SYSTEM_MODULES):
 Add it. I suggest adding it to (gnu packages terminals) instead of creating
 a new file. You will find asciinema and fzf there. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 raghavgururajan@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thank you for working on this! I have some comments to add.
    > * gnu/packages/visidata.scm: New file. > * gnu/local.mk (GNU_SYSTEM_MODULES):
    Add it. I suggest adding it to (gnu packages terminals) instead of creating
    a new file. You will find asciinema and fzf there. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

Thank you for working on this! I have some comments to add.

>     * gnu/packages/visidata.scm: New file.
>     * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.

I suggest adding it to (gnu packages terminals) instead of creating a
new file.  You will find asciinema and fzf there.

> +(define-public sc-im
> +  (let ((commit-ref "75ae3806844821cba1b2e3fdb9237d737944e850"))
> +    (package
> +      (name "sc-im")
> +      (version "0.8.1")
> +      (source (origin
> +                (method git-fetch)
> +                (uri
> +                  (git-reference
> +                    (url "https://github.com/andmarti1424/sc-im")
> +                    (commit commit-ref)))

Why not just use =E2=80=98version=E2=80=99, or (string-append ... version) =
if needed?

> +                    (file-name (git-file-name name version))

Indentation is a bit off here.

> +      (synopsis "Spreadsheet program with vim-like keybindings")
> +      (description
> + "@code{sc-im} is a highly configurable spreadsheet program
> + providing a vim-like experience.  @code{sc-im} supports @{gnuplot} inte=
raction,
> + functions for sorting and filtering, 256 color support, and much more.")
> +      (home-page "https://github.com/andmarti1424/sc-im")

Nit: =E2=80=98home-page=E2=80=99 usually goes above =E2=80=98synopsis=E2=80=
=99.





Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 18 Apr 2021 00:33:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 20:33:04 2021
Received: from localhost ([127.0.0.1]:44950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXvN1-0003u6-La
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 20:33:04 -0400
Received: from mx1.dismail.de ([78.46.223.134]:12119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lXvMt-0003tU-Er
 for 47852 <at> debbugs.gnu.org; Sat, 17 Apr 2021 20:33:03 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 34fb1485;
 Sun, 18 Apr 2021 02:32:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:from:message-id:subject:to:cc
 :in-reply-to:references; s=20190914; bh=NqJ75EjdmW/IPf2qbnVMbGQz
 z7O9Otigq4AKj6yPCqk=; b=ZBPikqkvrC52NdV3NRggdIYMfZEHh3fsrpuxS/Ny
 euuMuI2MdNh7HbSfRmxugPa5p4pSHRPmb5deLC5nvc8wplUCD3vnTZOwS9tZmvpv
 YJKd2OEqFsF3SsngatQvzQrW/Z0Dfhffc3atQQH1nb/9KRo8vVl+wJdtxMBmzUtK
 aafFQwatd8axKbSmPSdjjm6bO5SLPMDS8qrkE1N6iU2NfNhxRnFgt5dduBacbKuk
 BuO3qEkf9OD3wXgWFw3uIHICuY6QGWZAWTY9hzN+wh2YYSwSgwtKS9ZzA5eiTfQD
 0wHjDNvgjlyns9edvrWCqSt6M1QmaM3wga3P1YGbVnTIOA==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 5acfff5a;
 Sun, 18 Apr 2021 02:32:48 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 711bc5e2;
 Sun, 18 Apr 2021 02:32:48 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id c898326b
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 18 Apr 2021 02:32:47 +0200 (CEST)
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 00:32:46 +0000
Content-Type: multipart/mixed; boundary="--=_RainLoop_807_904676214.1618705966"
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <9635b393f2e4e1787a99c8f6ee2d3c43@HIDDEN>
Subject: Re: [PATCH] gnu: Add sc-im
To: 47852 <at> debbugs.gnu.org
In-Reply-To: <ddc6916763ffedfe49f91371062485d4@HIDDEN>
References: <ddc6916763ffedfe49f91371062485d4@HIDDEN>
 <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, jackhill@HIDDEN,
 hello@HIDDEN, Oliver Loaiza <olv345@HIDDEN>,
 raghavgururajan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


----=_RainLoop_807_904676214.1618705966
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

I attached an updated patch also including Jack's suggestions.=0A=0AThank=
 you Raghav for help with sanity debugging over xmpp.=0A=0Aprefix is not =
PREFIX ;)=0A=0Aall the best,=0A=0Ajgart=0A=0AApril 17, 2021 7:54 PM, "jga=
rt" <jgart@HIDDEN> wrote:=0A=0A> Attached is the updated patch with E=
kaitz's suggestions. The linter is now a happy gnu!=0A> =0A>> Also I woul=
dn't add the whole package in an independent file.=0A>> It may fit better=
 in other of the categories.=0A> =0A> I thought of that but I couldn't fi=
nd a place I was happy with.=0A> =0A> calcurse and visidata are two other=
 packages that also have their own file.=0A> =0A> Maybe these two package=
s can be merged in the future with sc-im?=0A> =0A>> I'm not sure about al=
l the compile flags=0A>> you set, you may be missing some interesting plu=
gin support.=0A> =0A> I left lua support out since that is an optional fe=
ature.=0A> =0A> The sc-im package in nixpkgs also leaves it out:=0A> =0A>=
 https://github.com/NixOS/nixpkgs/blob/nixos-unstable/pkgs/applications/m=
isc/sc-im/default.nix#L35=0A> =0A> I'm waiting until sc-im has guile supp=
ort. ;)=0A> =0A> Let me know if there are any other compiler features you=
 think should be included.=0A> =0A> I left tmux as the clipboard. It is a=
lready set in the Makefile by default.=0A> =0A> I'll probably inherit fro=
m this package and substitute* for xclip instead, locally.=0A> =0A> Does =
upstream guix prefer two versions of this package (A version compiled wit=
h tmux support and a=0A> version compiled with xclip support)?=0A> =0A> a=
ll the best,=0A> =0A> jgart=0A> =0A> ps=0A> =0A> Ekaitz, Saludos desde Mi=
ami!=0A> =0A> Vas a venir a el guix meetup el pr=C3=B3ximo s=C3=A1bado? C=
ambi=C3=A9 la hora a una hora normal ;)=0A> =0A> https://events.nixnet.se=
rvices/events/27955ca1-0aee-4ec5-be20-48e6c45fd0f6=0A> =0A> April 17, 202=
1 6:22 PM, "ElenQ Technology" <hello@HIDDEN> wrote:=0A> =0A>> Hey!=0A=
>> =0A>> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 =
Original Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=
=E2=80=90=0A>> On Saturday, April 17, 2021 11:52 PM, jgart <jgart@dismail=
.de> wrote:=0A>> =0A>>> Hi Guix!=0A>>> =0A>>> Attached is a patch for sc-=
im, a terminal based spreadsheet program providing a vim-like=0A>>> exper=
ience.=0A>>> =0A>>> I constructed this package starting from a template p=
rovided by Ekaitz that I found below dating=0A>>> from over a year ago:=
=0A>>> =0A>>> https://gitlab.com/ekaitz-zarraga/guix-packages/-/blob/mast=
er/sc-im.scm=0A>>> =0A>>> I added Ekaitz as a co-author and added both of=
 our copyrights to the top of the file.=0A>>> =0A>>> This new version of =
sc-im is from 16 days ago.=0A>>> =0A>>> I'm currently getting the followi=
ng two linter warnings:=0A>>> =0A>>> the source file name should contain =
the package name=0A>>> permanent redirect from https://github.com/andmart=
i1424/sc-im.git to=0A>>> https://github.com/andmarti1424/sc-im=0A>>> =0A>=
>> Any suggestions for what I need to adjust to make those pass?=0A>>> =
=0A>>> best regards,=0A>>> =0A>>> jgart=0A>> =0A>> I didn't expect this!=
=0A>> =0A>> My original package was broken, but I left it in my repo so I=
DK=0A>> if taking that as a base was a good idea.=0A>> I was trying to pa=
ckage a more complete solution and I left=0A>> the package broken...=0A>>=
 =0A>> I'm taking a look to it.=0A>> =0A>> The first issue related with t=
he name of the package is this:=0A>> =0A>> ```=0A>> guix/gnu/packages/sc-=
im.scm:41:14: sc-im@HIDDEN: the source file name should contain the packag=
e=0A>> name=0A>> ```=0A>> =0A>> In order to solve this you can use this i=
n the origin desc:=0A>> =0A>> ```=0A>> (file-name (git-file-name name ver=
sion))=0A>> ```=0A>> =0A>> This is going to clone the repo to an specific=
 filename that=0A>> matches Guix's naming style and it's going to remove =
the=0A>> warning.=0A>> =0A>> The second:=0A>> =0A>> ```=0A>> gnu/packages=
/sc-im.scm:41:14: sc-im@HIDDEN: permanent redirect from=0A>> https://githu=
b.com/andmarti1424/sc-im.git to https://github.com/andmarti1424/sc-im=0A>=
> ```=0A>> =0A>> Just change the url by the other and you're done.=0A>> =
=0A>> HTH!=0A>> =0A>> Thanks for keeping my name there, but you can clear=
 it with=0A>> no issue, this is all your merit, my man.=0A>> =0A>> Best,=
=0A>> Ekaitz

----=_RainLoop_807_904676214.1618705966
Content-Type: application/octet-stream; name="0001-gnu-Add-sc-im.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-sc-im.patch"
Content-Transfer-Encoding: base64
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----=_RainLoop_807_904676214.1618705966--




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 17 Apr 2021 23:54:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 19:54:35 2021
Received: from localhost ([127.0.0.1]:44934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXulm-00030N-Qn
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 19:54:35 -0400
Received: from mx1.dismail.de ([78.46.223.134]:28120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lXulj-000305-31
 for 47852 <at> debbugs.gnu.org; Sat, 17 Apr 2021 19:54:33 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 57d27048;
 Sun, 18 Apr 2021 01:54:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:from:message-id:subject:to:cc
 :in-reply-to:references; s=20190914; bh=oKsD/E4gzPXcLtXJBAilenxP
 LAZqd4DrJL7pQcuoiFg=; b=trWqxlJ7g6A+WDW0DrG0D2x614Vbef7fePQRKGfy
 2iVSgftGVX+w6+MIsGGkFxs3JUH8IALqabWs+kgHwp6Ot1tTDH04U+ntTU4zA/wB
 /kIr9G3kJufz6yvu1RgqX2+cHSNbp0Ab1PbmdEF7QTBI4qAEgJXb4IrrAmIXbul0
 KWzB5XDLpLtD0N29roPkl4qQrugcNViqhW57Aeh/oiC5NvFlV621ZoLCB2uw3wWy
 iI8veseoTlIJrxPXlA8SPLRbMpRoq+4qMz9vbPciM8QW1bc5mHLAR/SQ5Sjbh4Jb
 NzNv9E/5amZsDrTX9mwDMlsf+Dg84lL2A1pV0NYcgMoKww==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 9dd2a6fb;
 Sun, 18 Apr 2021 01:54:21 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id d18be565;
 Sun, 18 Apr 2021 01:54:21 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 3368d096
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 18 Apr 2021 01:54:20 +0200 (CEST)
MIME-Version: 1.0
Date: Sat, 17 Apr 2021 23:54:19 +0000
Content-Type: multipart/mixed; boundary="--=_RainLoop_727_749790000.1618703659"
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <ddc6916763ffedfe49f91371062485d4@HIDDEN>
Subject: Re: [PATCH] gnu: Add sc-im
To: 47852 <at> debbugs.gnu.org
In-Reply-To: <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
References: <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
 <15c0925b25d9950553a55a4881922cc4@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47852
Cc: Raghav Gururajan <rg@HIDDEN>, hello@HIDDEN,
 Oliver Loaiza <olv345@HIDDEN>, raghavgururajan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


----=_RainLoop_727_749790000.1618703659
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Attached is the updated patch with Ekaitz's suggestions. The linter is no=
w a happy gnu!=0A=0A> Also I wouldn't add the whole package in an indepen=
dent file.=0A> It may fit better in other of the categories.=0A=0AI thoug=
ht of that but I couldn't find a place I was happy with.=0A=0Acalcurse an=
d visidata are two other packages that also have their own file. =0A=0AMa=
ybe these two packages can be merged in the future with sc-im?=0A=0A> I'm=
 not sure about all the compile flags=0A> you set, you may be missing som=
e interesting plugin support.=0A=0AI left lua support out since that is a=
n optional feature.=0A=0AThe sc-im package in nixpkgs also leaves it out:=
=0A=0Ahttps://github.com/NixOS/nixpkgs/blob/nixos-unstable/pkgs/applicati=
ons/misc/sc-im/default.nix#L35=0A=0AI'm waiting until sc-im has guile sup=
port. ;)=0A=0ALet me know if there are any other compiler features you th=
ink should be included.=0A=0AI left tmux as the clipboard. It is already =
set in the Makefile by default.=0A=0AI'll probably inherit from this pack=
age and substitute* for xclip instead, locally.=0A=0ADoes upstream guix p=
refer two versions of this package (A version compiled with tmux support =
and a version compiled with xclip support)?=0A=0Aall the best,=0A=0Ajgart=
=0A=0Aps=0A=0AEkaitz, Saludos desde Miami!=0A=0AVas a venir a el guix mee=
tup el pr=C3=B3ximo s=C3=A1bado? Cambi=C3=A9 la hora a una hora normal ;)=
=0A=0Ahttps://events.nixnet.services/events/27955ca1-0aee-4ec5-be20-48e6c=
45fd0f6=0A=0A=0A=0AApril 17, 2021 6:22 PM, "ElenQ Technology" <hello@elen=
q.tech> wrote:=0A=0A> Hey!=0A> =0A> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=
=E2=80=90=E2=80=90=E2=80=90 Original Message =E2=80=90=E2=80=90=E2=80=90=
=E2=80=90=E2=80=90=E2=80=90=E2=80=90=0A> On Saturday, April 17, 2021 11:5=
2 PM, jgart <jgart@HIDDEN> wrote:=0A> =0A>> Hi Guix!=0A>> =0A>> Attac=
hed is a patch for sc-im, a terminal based spreadsheet program providing =
a vim-like=0A>> experience.=0A>> =0A>> I constructed this package startin=
g from a template provided by Ekaitz that I found below dating=0A>> from =
over a year ago:=0A>> =0A>> https://gitlab.com/ekaitz-zarraga/guix-packag=
es/-/blob/master/sc-im.scm=0A>> =0A>> I added Ekaitz as a co-author and a=
dded both of our copyrights to the top of the file.=0A>> =0A>> This new v=
ersion of sc-im is from 16 days ago.=0A>> =0A>> I'm currently getting the=
 following two linter warnings:=0A>> =0A>> the source file name should co=
ntain the package name=0A>> permanent redirect from https://github.com/an=
dmarti1424/sc-im.git to=0A>> https://github.com/andmarti1424/sc-im=0A>> =
=0A>> Any suggestions for what I need to adjust to make those pass?=0A>> =
=0A>> best regards,=0A>> =0A>> jgart=0A> =0A> I didn't expect this!=0A> =
=0A> My original package was broken, but I left it in my repo so IDK=0A> =
if taking that as a base was a good idea.=0A> I was trying to package a m=
ore complete solution and I left=0A> the package broken... =0A> =0A> I'm =
taking a look to it.=0A> =0A> The first issue related with the name of th=
e package is this:=0A> =0A> ```=0A> guix/gnu/packages/sc-im.scm:41:14: sc=
-im@HIDDEN: the source file name should contain the package=0A> name=0A> `=
``=0A> =0A> In order to solve this you can use this in the origin desc:=
=0A> =0A> ```=0A> (file-name (git-file-name name version))=0A> ```=0A> =
=0A> This is going to clone the repo to an specific filename that=0A> mat=
ches Guix's naming style and it's going to remove the=0A> warning.=0A> =
=0A> The second:=0A> =0A> ```=0A> gnu/packages/sc-im.scm:41:14: sc-im@HIDDEN=
.1: permanent redirect from=0A> https://github.com/andmarti1424/sc-im.git=
 to https://github.com/andmarti1424/sc-im=0A> ```=0A> =0A> Just change th=
e url by the other and you're done.=0A> =0A> =0A> HTH!=0A> =0A> Thanks fo=
r keeping my name there, but you can clear it with=0A> no issue, this is =
all your merit, my man.=0A> =0A> Best,=0A> Ekaitz

----=_RainLoop_727_749790000.1618703659
Content-Type: application/octet-stream; name="0001-gnu-Add-sc-im.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-sc-im.patch"
Content-Transfer-Encoding: base64
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----=_RainLoop_727_749790000.1618703659--




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at 47852 <at> debbugs.gnu.org:


Received: (at 47852) by debbugs.gnu.org; 17 Apr 2021 23:29:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 19:29:35 2021
Received: from localhost ([127.0.0.1]:44906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXuNa-0002Oy-Vp
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 19:29:35 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:60808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1lXuNX-0002Og-22
 for 47852 <at> debbugs.gnu.org; Sat, 17 Apr 2021 19:29:33 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1lXuNP-0001NP-0Y; Sat, 17 Apr 2021 19:29:23 -0400
Date: Sat, 17 Apr 2021 19:29:22 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: jgart <jgart@HIDDEN>
Subject: Re: [bug#47852] [PATCH] gnu: Add sc-im
In-Reply-To: <15c0925b25d9950553a55a4881922cc4@HIDDEN>
Message-ID: <alpine.DEB.2.21.2104171806040.8414@HIDDEN>
References: <15c0925b25d9950553a55a4881922cc4@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="925712948-792663861-1618702163=:8414"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, 17 Apr 2021, jgart via Guix-patches via wrote: > Hi
 Guix! > > Attached is a patch for sc-im, a terminal based spreadsheet program
 providing a vim-like experience. Interesting program, thanks for working
 on the package 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_TONAME_EQ_TOLOCAL_HDRS_LCASE To: name matches everything in
 local email - LCASE headers
X-Debbugs-Envelope-To: 47852
Cc: Oliver Loaiza <olv345@HIDDEN>, ekaitz@HIDDEN,
 raghavgururajan@HIDDEN, hello@HIDDEN,
 Raghav Gururajan <rg@HIDDEN>, 47852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--925712948-792663861-1618702163=:8414
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8BIT

On Sat, 17 Apr 2021, jgart via Guix-patches via wrote:

> Hi Guix!
>
> Attached is a patch for sc-im, a terminal based spreadsheet program providing a vim-like experience.

Interesting program, thanks for working on the package

> I added Ekaitz as a co-author and added both of our copyrights to the top of the file.

Glad to see this work being picket up and that we can collaborate across 
time.

> This new version of sc-im is from 16 days ago.
>
> I'm currently getting the following two linter warnings:
>
> the source file name should contain the package name
> permanent redirect from https://github.com/andmarti1424/sc-im.git to https://github.com/andmarti1424/sc-im
>
> Any suggestions for what I need to adjust to make those pass?

I have some inline suggestions as follows:


From 62b2b692329f8db791db08700821111238ed40be Mon Sep 17 00:00:00 2001
From: jgart <jgart@HIDDEN>
Date: Sat, 17 Apr 2021 17:43:16 -0400
Subject: [PATCH] gnu: Add sc-im.

     * gnu/packages/visidata.scm: New file.

Should be sc-im.scm there :)

I have no opinion on if this warrants its own file, but I expect others 
would be willing to comment.

     * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.

     Co-authored-by: Ekaitz Zarraga <ekaitz@HIDDEN>


+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2020 Ekaitz Zarraga <ekaitz@HIDDEN>
+;;; Copyright © 2021 jgart <jgart@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages sc-im)
+  #:use-module (guix packages)
+  #:use-module (guix git-download)
+  #:use-module (guix download)
+  #:use-module (guix build-system gnu)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages base)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages maths)
+  #:use-module (gnu packages statistics)
+  #:use-module (gnu packages xml)
+  #:use-module (gnu packages compression)
+  #:use-module (gnu packages bison)
+  #:use-module (gnu packages ncurses))
+
+(define-public sc-im
+  (let ((commit-ref "75ae3806844821cba1b2e3fdb9237d737944e850"))
+    (package
+      (name "sc-im")
+      (version "0.8.1")
+      (source (origin
+                (method git-fetch)
+                (uri
+                  (git-reference
+                    (url "https://github.com/andmarti1424/sc-im.git")
+                    (commit commit-ref)))

You can remove the .git from the url to clear up the permanent redirect 
lint warning.

In other packages, we use the tag directly with something like

(commit (string-append "v" version))

and are thus able to forgo the let binding. Unless there is a reason to 
think upstream will move the tag to a different commit, I recommend doing 
that here too.

Also, adding `(file-name (git-file-name name version))` to the origin 
specification will clear up the file name lint warning.

+                (sha256
+                  (base32
+                    "1i1yq5mh9d7yi1bkgaq4p1lr8zrxhlvqmjnj33wmg5v6vpfim1h0"))))
+      (build-system gnu-build-system)
+      (arguments
+        ;; There are no tests at the moment.
+        ;; https://github.com/andmarti1424/sc-im/issues/537
+        ;; https://github.com/andmarti1424/sc-im/pull/385
+        `(#:tests? #f

Thanks for adding the comment about the lack of test.

+          #:make-flags (list "-C" "src" "CC=gcc"

We prefer `(string-append "CC=" ,(cc-for-target))` which helps when 
cross-compiling

+                         (string-append "prefix=" (assoc-ref %outputs "out")))
+          #:phases
+            (modify-phases
+               %standard-phases
+                 (delete 'configure))))
+      (inputs
+        `(("gnuplot" ,gnuplot)
+          ("libxls" ,libxls)
+          ("libxlsxwriter" ,libxlsxwriter)
+          ("libxml2" ,libxml2)
+          ("libzip" ,libzip)
+          ("ncurses" ,ncurses)))
+      (native-inputs
+        `(("pkg-config" ,pkg-config)
+          ("which" ,which)
+          ("bison" ,bison)))
+      (synopsis "Spreadsheet program with vim-like keybindings")
+      (description
+ "@code{sc-im} is a highly configurable spreadsheet program
+ providing a vim-like experience.  @code{sc-im} supports @{gnuplot} interaction,
+ functions for sorting and filtering, 256 color support, and much more.")
+      (home-page "https://github.com/andmarti1424/sc-im")
+      (license license:bsd-4))))
-- 
2.29.3


Can you send an updated patch?

Best,
Jack
--925712948-792663861-1618702163=:8414--




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2021 23:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 19:04:34 2021
Received: from localhost ([127.0.0.1]:44884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXtzK-0001nZ-JJ
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 19:04:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:34300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hello@HIDDEN>) id 1lXtKw-0000nC-9t
 for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 18:22:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59446)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hello@HIDDEN>) id 1lXtKw-0002d9-2u
 for guix-patches@HIDDEN; Sat, 17 Apr 2021 18:22:46 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:21135)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hello@HIDDEN>) id 1lXtKr-0004tR-Kh
 for guix-patches@HIDDEN; Sat, 17 Apr 2021 18:22:45 -0400
Date: Sat, 17 Apr 2021 22:22:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail3; t=1618698150;
 bh=6bKrJOZztNM2ULZIHP/rsdwNtrxzLkUc7asfPtrbOaQ=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=aQwhQj3FYXZqd7rnC5+T0CGKsG/zj1KpyZOh60nBSB9lgxJq6bXvyPEvPLI1FEisl
 pV2uaZZjnlcWwp9xo/93hfml7BECRrlnPUECoNEt7LSSLoOjoIhSJ1qrKkWQbAJhXV
 S+CDdtodOkXB9M5E3wRlmXRDahgLwwr/VqHQseYHMGhYaXudb+CDHXfCxHvpFBjoKW
 ict/Lq3YVtMy3rj21dwXaG9ABTwRJImbyTQ7Ya929s+79likb1WesfcvjmkIKyMn/n
 h3RFHJrkWaJyvWNN4AECL7lCx2+X4/jAGZZAoLmtyuTCSw8OXo7hClZVb3CtVknBCz
 HIc3oeFbwvd0g==
To: jgart <jgart@HIDDEN>
From: ElenQ Technology <hello@HIDDEN>
Subject: Re: [PATCH] gnu: Add sc-im
Message-ID: <CTPlfV7cgzOy1zPWttP-JOHAXWXOuqvzant3dNABlA1Llhq1PLctYr2dBcu_dw7Sa4_i07lLE6ePbQ4SqTyeOYY1T3KTeW57ejqk9c1EGyE=@elenq.tech>
In-Reply-To: <15c0925b25d9950553a55a4881922cc4@HIDDEN>
References: <15c0925b25d9950553a55a4881922cc4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.18; envelope-from=hello@HIDDEN;
 helo=mail1.protonmail.ch
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 17 Apr 2021 19:04:30 -0400
Cc: Raghav Gururajan <rg@HIDDEN>,
 Oliver Loaiza <olv345@HIDDEN>,
 "guix-patches@HIDDEN" <guix-patches@HIDDEN>,
 "raghavgururajan@HIDDEN" <raghavgururajan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ElenQ Technology <hello@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hey!

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Saturday, April 17, 2021 11:52 PM, jgart <jgart@HIDDEN> wrote:

> Hi Guix!
>
> Attached is a patch for sc-im, a terminal based spreadsheet program provi=
ding a vim-like experience.
>
> I constructed this package starting from a template provided by Ekaitz th=
at I found below dating from over a year ago:
>
> https://gitlab.com/ekaitz-zarraga/guix-packages/-/blob/master/sc-im.scm
>
> I added Ekaitz as a co-author and added both of our copyrights to the top=
 of the file.
>
> This new version of sc-im is from 16 days ago.
>
> I'm currently getting the following two linter warnings:
>
> the source file name should contain the package name
> permanent redirect from https://github.com/andmarti1424/sc-im.git to http=
s://github.com/andmarti1424/sc-im
>
> Any suggestions for what I need to adjust to make those pass?
>
> best regards,
>
> jgart


I didn't expect this!

My original package was broken, but I left it in my repo so IDK
if taking that as a base was a good idea.
I was trying to package a more complete solution and I left
the package broken... I'm not sure about all the compile flags
you set, you may be missing some interesting plugin support.

I'm taking a look to it.

The first issue related with the name of the package is this:

```
guix/gnu/packages/sc-im.scm:41:14: sc-im@HIDDEN: the source file name should=
 contain the package name
```

In order to solve this you can use this in the origin desc:

```
        (file-name (git-file-name name version))
```

This is going to clone the repo to an specific filename that
matches Guix's naming style and it's going to remove the
warning.

The second:

```
gnu/packages/sc-im.scm:41:14: sc-im@HIDDEN: permanent redirect from https://=
github.com/andmarti1424/sc-im.git to https://github.com/andmarti1424/sc-im
```

Just change the url by the other and you're done.

Also I wouldn't add the whole package in an independent file.
It may fit better in other of the categories.

HTH!

Thanks for keeping my name there, but you can clear it with
no issue, this is all your merit, my man.

Best,
Ekaitz




Information forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2021 21:52:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 17:52:48 2021
Received: from localhost ([127.0.0.1]:44826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXsrw-0008UW-FJ
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 17:52:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:54042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1lXsru-0008UP-PC
 for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 17:52:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56026)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1lXsru-000566-Fk
 for guix-patches@HIDDEN; Sat, 17 Apr 2021 17:52:46 -0400
Received: from mx1.dismail.de ([78.46.223.134]:48872)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1lXsrs-0003gd-2k
 for guix-patches@HIDDEN; Sat, 17 Apr 2021 17:52:46 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id a38d56b5;
 Sat, 17 Apr 2021 23:52:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:from:message-id:subject:to:cc; s=
 20190914; bh=uDtiqlfoLK3AXRDo6cIQxfIBUwlwO/nG4+gFFFqjw4w=; b=ATe
 wma12iVSQjhCIZcnpAT1WtFuh3C3vfSn5i7KVgS1jZiV0ZTLini4cs3fhnYcSe19
 Wku9nYndaZCNiov5ygqPsIakvUeBsZAkLSeQ8cFwuM0XPgTzLn3WUGuRt8I+SWAR
 ocOU7zTeO3/TvGStJ7q/iObcgrjur4jfXbyz0pfBe4CB/VT4hdMvTlXSy5RGMqOj
 HlJuAeKLfyn5EoOVQ91E4wQYO3B1oAUjqGO5dIyY6xnr4Awl32zJGh0W0mwRhFC5
 /kvmFbKJgxssydzB+VnbZRP3HVI2ACFQy//0sUjaVo0yCTEnVzlTxGIw1gv3Ro2Y
 f8WJXYcDrLtryIejSwA==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 9360b3b9;
 Sat, 17 Apr 2021 23:52:38 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 853bedb3;
 Sat, 17 Apr 2021 23:52:37 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id e6c9344a
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 17 Apr 2021 23:52:37 +0200 (CEST)
MIME-Version: 1.0
Date: Sat, 17 Apr 2021 21:52:36 +0000
Content-Type: multipart/mixed; boundary="--=_RainLoop_191_295198146.1618696356"
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <15c0925b25d9950553a55a4881922cc4@HIDDEN>
Subject: [PATCH] gnu: Add sc-im
To: guix-patches@HIDDEN
Received-SPF: pass client-ip=78.46.223.134; envelope-from=jgart@HIDDEN;
 helo=mx1.dismail.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Raghav Gururajan <rg@HIDDEN>, raghavgururajan@HIDDEN,
 Oliver Loaiza <olv345@HIDDEN>, ekaitz@HIDDEN, hello@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


----=_RainLoop_191_295198146.1618696356
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Hi Guix!=0A=0AAttached is a patch for sc-im, a terminal based spreadsheet=
 program providing a vim-like experience.=0A=0AI constructed this package=
 starting from a template provided by Ekaitz that I found below dating fr=
om over a year ago: =0A=0Ahttps://gitlab.com/ekaitz-zarraga/guix-packages=
/-/blob/master/sc-im.scm=0A=0AI added Ekaitz as a co-author and added bot=
h of our copyrights to the top of the file.=0A=0AThis new version of sc-i=
m is from 16 days ago.=0A=0AI'm currently getting the following two linte=
r warnings:=0A=0Athe source file name should contain the package name=0Ap=
ermanent redirect from https://github.com/andmarti1424/sc-im.git to https=
://github.com/andmarti1424/sc-im=0A=0AAny suggestions for what I need to =
adjust to make those pass?=0A=0Abest regards,=0A=0Ajgart

----=_RainLoop_191_295198146.1618696356
Content-Type: application/octet-stream; name="0001-gnu-Add-sc-im.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-sc-im.patch"
Content-Transfer-Encoding: base64
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----=_RainLoop_191_295198146.1618696356--




Acknowledgement sent to "jgart" <jgart@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47852; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Apr 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.